.bookModal__background {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #543a2bcb;
  z-index: 3;
}

.bookModal__container {
  box-sizing: border-box;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 70vw;
  height: 75vh;
  padding: 4rem 2rem;
  display: flex;
  justify-content: space-between;
  gap: 1rem;
  border-radius: 5px;
  background-color: var(--clr-white);
  color: var(--clr-brown);
  transform: translate(-50%, -45%);
  z-index: 3;
}

.bookModal__img {
  margin-right: 2.2rem;
  height: 450px;
  width: 310px;
  position: relative;
  top: -5.5rem;
  border: 3px solid var(--clr-white);
  border-radius: 5px;
  background-color: var(--clr-coffee-brown);
  box-shadow: 2rem -2rem 0 var(--clr-coffee-brown),
    2.2rem -2.2rem 0 var(--clr-white), 1.8rem -2.2rem 0 var(--clr-white),
    2.2rem -1.8rem 0 var(--clr-white);
  transition: all 1s ease-in-out;
}

.bookModal__detailsContainer {
  box-sizing: border-box;
  height: 100%;
  display: flex;
  flex-direction: column;
}

.bookModal__closeIcon {
  position: absolute;
  top: 2rem;
  right: 2rem;
  cursor: pointer;
}

.bookModal__closeIcon:hover {
  transition: all 0.5s ease-in-out;
  transform: rotate(90deg) scale(1.2);
}

.bookModal__heartIcon {
  margin-left: 1rem;
  transform: scale(1.5);
  transition: all 0.5s ease-in-out;
  cursor: pointer;
}

.bookModal__title {
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 2.2em;
  font-weight: 600;
  line-height: normal;
}

.bookModal__authors {
  margin: 0.5rem 0 0.7rem 0;
  font-size: 1.4em;
}

.bookModal__columns {
  max-height: calc(100% - 83px);
  flex-grow: 1;
  display: flex;
  gap: 2rem;
}

.bookModal__descriptionContainer {
  box-sizing: border-box;
  width: 100%;
  display: flex;
  flex-direction: column;
  line-height: 1.4em;
  background-color: var(--clr-white);
}

.bookModal__ratingGenreList {
  display: flex;
  flex-wrap: wrap;
  margin: 1rem 0;
}

.bookModal__rating,
.bookModal__genre {
  margin: 0 0.5rem 0.5rem 0;
  padding: 0.2rem 0.4rem;
  background-color: var(--clr-light-brown);
  border-radius: 5px;
}

.bookModal__rating {
  font-weight: bold;
}

.bookModal__description {
  width: 100%;
  flex-grow: 1;
  margin: 0;
  padding: 0;
  padding-right: 0.5em;
  text-align: justify;
  overflow-y: auto;
}

.bookModal__quotes {
  position: relative;
  width: 40%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}

.bookModal__quote {
  box-sizing: border-box;
  position: relative;
  width: 100%;
  margin: 1rem 0;
  padding: 1em 0.7em;
  display: flex;
  text-align: center;
  justify-self: center;
  align-self: center;
  line-height: 1.2em;
  border: 2px solid var(--clr-brown);
  border-radius: 5px;
}

.bookModal__quoteText {
  width: 90%;
  margin: 0;
  padding: 0;
}

.bookModal__copyIcon {
  position: absolute;
  top: -0.12em;
  right: -0.12em;
  background-color: var(--clr-white);
}

.bookModal__copyIcon:hover {
  cursor: pointer;
}

.bookModal__copyText {
  visibility: hidden;
  opacity: 0;
  position: absolute;
  top: -2.1rem;
  right: 0;
  padding: 0.2em 0.5em;
  border-radius: 5px;
  color: var(--clr-white);
  text-align: center;
  background-color: var(--clr-coffee-brown);
  transition: opacity 0.7s;
  z-index: 1;
}

.bookModal__copyText::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 65%;
  border-width: 5px;
  border-style: solid;
  border-color: var(--clr-coffee-brown) transparent transparent transparent;
}

.bookModal__quote:hover .bookModal__copyText {
  visibility: visible;
  opacity: 1;
}

.bookModal__container ::-webkit-scrollbar {
  width: 7px;
}

.bookModal__container ::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px var(--clr-coffee-brown);
  border-radius: 10px;
}

.bookModal__container ::-webkit-scrollbar-thumb {
  background: var(--clr-coffee-brown);
  border-radius: 10px;
}

@media (max-width: 1500px) {
  .bookModal__container {
    width: 70vw;
    height: 75vh;
    padding: 2rem;
    justify-content: space-between;
    gap: 1rem;
  }
  .bookModal__img {
    margin-right: 2.2rem;
    height: 300px;
  }
  .bookModal__title {
    font-size: 1.8em;
  }
  .bookModal__authors {
    margin: 0.2rem 0 0.3rem 0;
    font-size: 1.1em;
  }
  .bookModal__descriptionContainer {
    line-height: 1.3em;
  }
  .bookModal__ratingGenreList {
    margin: 0.5rem 0;
  }
  .bookModal__rating,
  .bookModal__genre {
    margin: 0 0.25rem 0.25rem 0;
    padding: 0.1rem 0.25rem;
    font-size: 0.95em;
  }
  .bookModal__description {
    padding-right: 0.3em;
    font-size: 0.95em;
    line-height: 1.1em;
  }
  .bookModal__quote {
    margin: 0.2rem 0;
    padding: 0.5em 0.2em;
    line-height: 1em;
  }
}

@media (max-width: 1150px) {
  .bookModal__container {
    width: 80vw;
    height: 75vh;
    padding: 1rem;
  }
  .bookModal__columns {
    flex-direction: column;
    gap: 1rem;
  }
  .bookModal__closeIcon {
    top: 0.5rem;
    right: 0.5rem;
  }
  .bookModal__img {
    margin-right: 1.5rem;
    height: 250px;
    width: 150px;
    top: -2.5rem;
    box-shadow: 1.5rem -1.5rem 0 var(--clr-coffee-brown),
      1.65rem -1.65rem 0 var(--clr-white), 1.65rem -1.6rem 0 var(--clr-white),
      1.34rem -1.65rem 0 var(--clr-white);
  }
  .bookModal__description {
    height: 33.7vh;
  }
  .bookModal__quotes {
    position: relative;
    width: 100%;
    flex-direction: row;
    gap: 0.5rem;
  }
  .bookModal__quote {
    height: 100%;
    padding-right: 1.1em;
    align-items: center;
  }
}

@media (max-width: 870px) {
  .bookModal__container {
    height: 87vh;
    width: 90vw;
    gap: 0;
    flex-direction: column;
    align-items: center;
  }
  .bookModal__detailsContainer {
    position: relative;
    top: -2rem;
    width: 100%;
    overflow-y: scroll;
    overflow-x: hidden;
  }
  .bookModal__title {
    font-size: 1.4em;
  }
  .bookModal__description {
    height: fit-content;
    padding-right: 0;
    overflow: hidden;
  }
  .bookModal__quotes {
    flex-direction: column;
  }
  .bookModal__quote {
    justify-content: center;
    padding: 0.55em 1.5em 0.55em 0.55em;
  }
  .bookModal__heartIcon {
    transform: scale(1.3);
  }
}
